cURL
curl --request GET \ --url https://api.example.com/api/v1/users/{user_id}/summaries/recovery \ --header 'Authorization: Bearer <token>'
{ "data": [ { "date": "2023-12-25", "source": { "provider": "apple_health", "device": "Apple Watch Series 9" }, "sleep_duration_seconds": 123, "sleep_efficiency_percent": 123, "resting_heart_rate_bpm": 123, "avg_hrv_sdnn_ms": 123, "avg_spo2_percent": 123, "recovery_score": 50 } ], "pagination": { "has_more": true, "next_cursor": "eyJpZCI6IjEyMzQ1Njc4OTAiLCJ0cyI6MTcwNDA2NzIwMH0", "previous_cursor": "<string>", "total_count": 150 }, "metadata": { "resolution": "raw", "sample_count": 123, "start_time": "2023-11-07T05:31:56Z", "end_time": "2023-11-07T05:31:56Z" } }
Returns daily recovery metrics (Sleep + HRV + RHR).
The access token received from the authorization server in the OAuth 2.0 flow.
1 <= x <= 100
Successful Response
Show child attributes
Was this page helpful?